org.hibernate.search.backend.spi

## Enum WorkType

- java.lang.Object
- - java.lang.Enum<WorkType>
  - - org.hibernate.search.backend.spi.WorkType

- All Implemented Interfaces:
    Serializable, Comparable<WorkType>

      public enum WorkType
      extends Enum<WorkType>

  Enumeration of the different types of Lucene work. This enumeration is used to specify the type of index operation to be executed.
  Author:
    Emmanuel Bernard, Hardy Ferentschik, John Griffin

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `COLLECTION`
    `DELETE`
    `DELETE_BY_QUERY`
    `INDEX` This type is used for batch indexing.
    `PURGE` Used to remove a specific instance of a class from an index.
    `PURGE_ALL` Used to remove all instances of a class from an index.
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WorkType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WorkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final WorkType ADD

    - #### UPDATE

          public static final WorkType UPDATE

    - #### DELETE

          public static final WorkType DELETE

    - #### COLLECTION

          public static final WorkType COLLECTION

    - #### PURGE

          public static final WorkType PURGE

      Used to remove a specific instance of a class from an index.

    - #### PURGE_ALL

          public static final WorkType PURGE_ALL

      Used to remove all instances of a class from an index.

    - #### INDEX

          public static final WorkType INDEX

      This type is used for batch indexing.

    - #### DELETE_BY_QUERY

          public static final WorkType DELETE_BY_QUERY

  - ### Method Detail

    - #### values

          public static WorkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WorkType c : WorkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WorkType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved